.select2-container--default .select2-selection--single {
    height: calc(2.375rem + 2px); /* mantén altura como form-select */
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    border: 1px solid #ced4da;
    border-radius: 0.375rem;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    cursor: pointer; /* Muy importante para que el cursor indique que se puede clicar */
}

/* Flecha */
.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 100%;
    top: 0;
    right: 0.75rem;
    width: 1.75rem;
    pointer-events: none; /* evita que la flecha bloquee el clic */
}

/* Texto */
.select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #212529;
    line-height: 1.5;
    padding-left: 0;
    padding-right: 1.75rem;
    user-select: none; /* evita que se seleccione texto al clicar */
}

/* Focus */
.select2-container--default.select2-container--focus .select2-selection--single {
    border-color: #86b7fe;
    box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
    outline: 0;
}

/* Ancho total */
.select2-container {
    width: 100% !important;
}

.select2-container {
    z-index: 9999 !important;
}

.select2-dropdown {
    z-index: 10000 !important;
}


.select2-container--default .select2-selection {
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.select2-container.is-valid .select2-selection {
    border-color: #198754 !important;
}

.select2-container.is-invalid .select2-selection {
    border-color: #dc3545 !important;
}

.select2-container--default .select2-selection {
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}
.select2-container.is-invalid .select2-selection {
    border-color: #dc3545 !important;
}
.select2-container.is-valid .select2-selection {
    border-color: #198754 !important;
}
.select2-feedback {
    display: none;
    color: #dc3545;
    font-size: 0.875em;
}
.select2-container.is-invalid + .select2-feedback {
    display: block;
}



.new-form-check-input {
    width: 1em;
    height: 1em;
    margin-top: 0.25em;
    vertical-align: top;
    background-color: #fff;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    border: 1px solid rgba(0, 0, 0, 0.25);
    appearance: none;
    -webkit-print-color-adjust: exact;
    color-adjust: exact;
    print-color-adjust: exact;
}

.new-form-check-input[type=checkbox] {
    border-radius: 0.25em;
}

.new-form-check-input[type=radio] {
    border-radius: 50%;
}

.new-form-check-input:checked {
    background-color: #0d6efd; /* color primario */
    border-color: #0d6efd;
}

.new-form-check-input:focus {
    border-color: #86b7fe;
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25); /* efecto azul al enfocar */
}

.new-form-check-input:checked[type=checkbox] {
    background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' fill='white' viewBox='0 0 16 16'><path d='M13.485 1.929a1.5 1.5 0 0 1 0 2.122l-7.07 7.071-3.536-3.536a1.5 1.5 0 1 1 2.121-2.122l1.415 1.415 5.657-5.657a1.5 1.5 0 0 1 2.122 0z'/></svg>");
}

.new-form-check-input:disabled {
    pointer-events: none;
    opacity: 0.5;
}
.invalid-feedback {
    font-size: 13px !important;
}


#overlay{
    position: fixed;
    top: 0;
    z-index: 2000; /* mayor que Bootstrap modal */
    width: 100%;
    height:100%;
    display: none;
    background: rgba(0,0,0,0.6);
}
.cv-spinner {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.spinner {
    width: 40px;
    height: 40px;
    border: 4px #ddd solid;
    border-top: 4px #2e93e6 solid;
    border-radius: 50%;
    animation: sp-anime 0.8s infinite linear;
}
@keyframes sp-anime {
    100% {
        transform: rotate(360deg);
    }
}
.is-hide{
    display:none;
}

.toast {
    opacity: 1 !important;
}

/* Le das estilo al ul de paginación */
#cards-wrapper ul.pagination {
    display: flex;
    justify-content: center;
    list-style: none;
    padding: 0;
    margin: 1rem 0;
    gap: 0.5rem;
}

/* Cada botón (li) */
#cards-wrapper ul.pagination li {
    cursor: pointer;
    padding: 0.375rem 0.75rem;
    border: 1px solid #dee2e6;
    border-radius: 0.375rem;
    background-color: white;
    color: #ffffff;
    user-select: none;
    transition: background-color 0.2s ease;
}

/* Hover */
#cards-wrapper ul.pagination li:hover:not(.active) {
    background-color: #e9ecef;
}

/* Activo */
#cards-wrapper ul.pagination li.active {
    background-color:  var(--color-primary);
    color: white;
    border-color:  var(--color-primary);
    pointer-events: none;
}
#cards-wrapper ul.pagination li a.page-link {
    display: block;      /* Hace que el <a> ocupe todo el <li> */
    padding: 0.375rem 0.75rem; /* Padding para que el botón se vea bien */
}

.pagination li.active > a {
    color:white !important;
    text-decoration: underline;}


.pagination li:not(.active) > a {
    color: var(--color-primary) !important;
    text-decoration: underline;
}

.section-title {
    display: flex;
    align-items: center;
}

.card-body .title-name {
    display: inline-block;
    width: 75%;
}

.card-title {
    color: #383838;
    font-size: 20px;
    font-weight: 700 !important;
    text-align: initial;
    hyphens: auto;
    word-break: break-word;
    overflow-wrap: break-word;
}

.card-body .icon {
    display: inline-block;
    max-width: 70px;
    vertical-align: middle;
}
.card-body .subtitle {
    color: #B68400;
    font-size: 15px;
    font-weight: 600;
}
.card-body .description {
    color: #78829D;
    padding-top: 10px;
    font-size: 13px;
}
.card-body b {
    font-weight: 700 !important;
}

.data_commerce {
    padding-right: 10px;
}

.data_commerce img {
    padding: 2px;
}

.social {
    margin-top: 10px;
}


.card-body .logo-container {
    width: 60px;
    height: 60px;
    flex-shrink: 0;
}

.btn-primary {
    background-color: var(--color-primary) !important;
    border-color: var(--color-primary) !important;
}
.ts-control.is-invalid {
    border-color: #dc3545 !important;
    box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.25);
}

.ts-control.is-valid {
    border-color: #198754 !important;
    box-shadow: 0 0 0 0.2rem rgba(25, 135, 84, 0.25);
}

.ts-wrapper.is-invalid .ts-control {
    border-color: #dc3545 !important;
    box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.25);
}


.dropdown-item.active, .dropdown-item:active {
    background-color:  var(--color-primary) !important;;
    color: white; !important;
}

.dropdown-item:focus, .dropdown-item:hover {
    color: var(--bs-dropdown-link-hover-color);
    background-color: var(--color-primary-hover);
}